<?php

class m121014_171025_tbl_idiomas_tecnologias_titulaciones extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_idiomas', array(
            'id' => 'pk',
            'descripcion' => 'string NOT NULL',            
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->createTable('tbl_tecnologias', array(
            'id' => 'pk',
            'descripcion' => 'string NOT NULL',
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->createTable('tbl_titulaciones', array(
            'id' => 'pk',
            'descripcion' => 'string NOT NULL',
        ), 'ENGINE=InnoDB CHARSET=utf8');
    }

    public function safeDown() {
        $this->dropTable('tbl_titulaciones');
        
        $this->dropTable('tbl_tecnologias');

        $this->dropTable('tbl_idiomas');
    }

}
?>